{
  "type": "minecraft:crafting_shapeless",
  "category": "misc",
  "ingredients": [
    {
      "item": "minecraft:heart_of_the_sea"
    },
    {
      "item": "minecraft:popped_chorus_fruit"
    },
    {
      "item": "minecraft:echo_shard"
    },
    {
      "item": "minecraft:paper"
    },
    {
      "item": "minecraft:ender_eye"
    },
    {
      "item": "minecraft:amethyst_shard"
    },
    {
      "item": "minecraft:amethyst_shard"
    },
    {
      "item": "minecraft:amethyst_shard"
    },
    {
      "item": "minecraft:amethyst_shard"
    }
  ],
  "result": {
    "id": "minecraft:knowledge_book"
  }
}